# Generated by rust2rpm 16
%bcond_without check
%global __cargo_skip_build 0

%global crate fd-find

Name:           rust-%{crate}
Version:        8.2.1
Release:        8%{?dist}
Summary:        Simple, fast and user-friendly alternative to find

# Upstream license specification: MIT/Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/fd-find
Source:         %{crates_source}
# Initial patched metadata
# * Bump lscolors from 0.7 to 0.10
# * Remove jemallocator from deps
Patch0:         fd-find-fix-metadata.diff
# * Disable jemallocator for real
Patch0001:      0001-Remove-usage-of-jemallocator.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Fd is a simple, fast and user-friendly alternative to find.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# * ASL 2.0 or MIT
# * MIT
# * MIT or ASL 2.0
# * Unlicense or MIT
License:        MIT

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE-MIT LICENSE-APACHE
%doc README.md CHANGELOG.md
%{_bindir}/fd
%{_mandir}/man1/fd.1*
%dir %{_datadir}/bash-completion
%dir %{_datadir}/bash-completion/completions
%{_datadir}/bash-completion/completions/fd.bash
%dir %{_datadir}/fish
%dir %{_datadir}/fish/vendor_completions.d
%{_datadir}/fish/vendor_completions.d/fd.fish
%dir %{_datadir}/zsh
%dir %{_datadir}/zsh/site-functions
%{_datadir}/zsh/site-functions/_fd

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install
install -Dpm0644 -t %{buildroot}%{_mandir}/man1 \
  doc/fd.1
install -Dpm0644 -t %{buildroot}%{_datadir}/bash-completion/completions \
  target/release/build/%{crate}-*/out/fd.bash
install -Dpm0644 -t %{buildroot}%{_datadir}/fish/vendor_completions.d \
  target/release/build/%{crate}-*/out/fd.fish
install -Dpm0644 -t %{buildroot}%{_datadir}/zsh/site-functions \
  contrib/completion/_fd

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat Jul 23 2022 Fabio Valentini <decathorpe@gmail.com> - 8.2.1-8
- Bump lscolors from 0.7 to 0.10.

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Feb 15 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 8.2.1-6
- Rebuild with package notes

* Tue Jan 25 2022 Fabio Valentini <decathorpe@gmail.com> - 8.2.1-5
- Rebuild with thread_local 1.1.4 for RUSTSEC-2022-0006.

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 8.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jan 12 2021 Fabio Valentini <decathorpe@gmail.com> - 8.2.1-1
- Update to version 8.2.1.
- Fixes RHBZ#1904838

* Mon Dec 28 13:29:47 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.1-4
- Rebuild

* Sun Aug 16 15:01:25 GMT 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.1-3
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 8.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon May 25 17:00:41 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.1-1
- Update to 8.1.1

* Fri May 22 12:25:14 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.1.0-1
- Update to 8.1.0

* Thu Apr 16 11:42:05 CEST 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 8.0.0-1
- Update to 8.0.0

* Sun Mar 22 17:19:42 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 7.5.0-1
- Update to 7.5.0

* Thu Mar 19 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 7.4.0-3
- Correct license

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 7.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 07 12:09:52 CET 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.4.0-1
- Update to 7.4.0

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Mon Jul 22 19:19:49 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.3.0-3
- Regenerate

* Sun Jul 21 18:29:00 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.3.0-2
- Correct fish completions directory

* Sat Apr 27 18:51:07 CEST 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.3.0-1
- Update to 7.3.0

* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 7.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 30 2018 Josh Stone <jistone@redhat.com> - 7.2.0-1
- Update to 7.2.0

* Fri Sep 07 2018 Josh Stone <jistone@redhat.com> - 7.1.0-1
- Update to 7.1.0

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 7.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sat Jun 16 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 7.0.0-2
- Bump regex to 1

* Mon Mar 26 2018 Josh Stone <jistone@redhat.com> - 7.0.0-1
- Update to 7.0.0

* Wed Mar 14 2018 Josh Stone <jistone@redhat.com> - 6.3.0-2
- Bump regex-syntax to 0.5

* Mon Feb 12 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.3.0-1
- Update to 6.3.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 17 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-4
- Rebuild for clap 2.29.2 (zsh completion fixes)

* Wed Jan 10 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-3
- Rebuild for clap 2.29.1

* Mon Jan 08 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-2
- Rebuild for rust-packaging v5

* Thu Jan 04 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.2.0-1
- Update to 6.2.0

* Wed Dec 13 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.1.0-1
- Update to 6.1.0

* Thu Nov 30 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-5
- Bump lazy_static to 1

* Tue Nov 28 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-4
- Rebuild for clap 2.28.0

* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-3
- Fix bash completion

* Thu Nov 23 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-2
- Package completions

* Mon Nov 20 2017 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 6.0.0-1
- Initial package
